Package edu.msu.cme.rdp.classifier.train.validation.distance

# Class PairwiseSeqDistance

java.lang.Object
edu.msu.cme.rdp.classifier.train.validation.distance.PairwiseSeqDistance

public class PairwiseSeqDistance extends Object

## Constructor Summary

Constructors
Constructor
Description
`PairwiseSeqDistance(String trainseqFile, String taxFile, edu.msu.cme.rdp.alignment.AlignmentMode mode, boolean show_alignment)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
This program does the pairwise alignment between each pair of sequences, reports a summary of the average distances and the stdev at each rank.
`void`
`printSummary(PrintStream outStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PairwiseSeqDistance

public PairwiseSeqDistance(String trainseqFile, String taxFile, edu.msu.cme.rdp.alignment.AlignmentMode mode, boolean show_alignment) throws IOException, edu.msu.cme.rdp.alignment.pairwise.rna.OverlapCheckFailedException

Throws:
  `IOException`
  `edu.msu.cme.rdp.alignment.pairwise.rna.OverlapCheckFailedException`

## Method Details

### printSummary

public void printSummary(PrintStream outStream)

### main

public static void main(String[] args) throws Exception
This program does the pairwise alignment between each pair of sequences, reports a summary of the average distances and the stdev at each rank.

Parameters:
  `args` -
Throws:
  `Exception`